
from django.core.management.base import BaseCommand

from users.validate_user_settings import validate_user_settings


class Command(BaseCommand):

    def add_arguments(self, parser):
        parser.add_argument('--dry-run', action='store_true', dest='dry_run', default=True, help='Make dry-run')

    def handle(self, *args, **options):
        dry_run = options.get('dry_run')

        validate_user_settings(dry_run=dry_run)
